[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'dbugmsg' (#fcl)

# DebugMessageName

Return the name of the debug message

## Declaration

Source position: dbugmsg.pp line 42

`function DebugMessageName(`
`msgType: Integer`
`):string;`

## Arguments

`msgType` |  | Message type

## Function result

String describing the message type

## Description

DebugMessageName returns the name of the message type. It can be used to examine the MsgType field of a TDebugMessage record, and if msgType contains a known type, it returns a string describing this type.

## Errors

If MsgType contains an unknown type, 'Unknown' is returned.